
package com.lideeyunji.core.framework.config.btncommand.button;

import com.lideeyunji.core.framework.config.btncommand.receiver.IButtonCommandReceiver;
import com.lideeyunji.tool.framework.excel.model.MoreSheetConfig;

/**
 * 具体命令-新增按钮命令
 */
public class ExportTemplateButtonCommand implements IButtonCommand<MoreSheetConfig> {
    //命令执行者
    private IButtonCommandReceiver<MoreSheetConfig> recevier;

    private String name = "导出数据模板";

    /**
     * 绑定执行者
     * @param recevier 执行者
     */
    public ExportTemplateButtonCommand(IButtonCommandReceiver recevier) {
        this.recevier = recevier;
    }

    /**
     * 执行命令
     * @return
     */
    @Override
    public MoreSheetConfig execute() {
        MoreSheetConfig receiver = recevier.receiver();
        return receiver;
    }


}
